import http from "@/api/http.js";
/* 权益小程序管理 报告模块*/
const YanXuanApi = {
  // 新增研选专栏作者
  yanxuan_specialAuthorAdd: (params) => {
    return http.post("/cygx/yanxuan_special/author/add", params);
  },
  // 禁用/启用研选专栏作者
  yanxuan_specialAuthorEnable: (params) => {
    return http.post("/cygx/yanxuan_special/author/enable", params);
  },
  // 审核列表
  yanxuan_specialList: (params) => {
    return http.get("/cygx/yanxuan_special/list", params);
  },
  // 审批研选专栏
  yanxuan_specialEnable: (params) => {
    return http.post("/cygx/yanxuan_special/enable", params);
  },
  // 置顶、取消置顶
  yanxuan_tope_change: (params) => {
    return http.post("/cygx/activity/tope_change ", params);
  },
  // 文章列表
  yanxuanReportSpecial: (params) => {
    return http.get("/cygx/yanxuan_special/list", params);
  },
  // 审批记录接口
  yanxuanApprovalLogList: (params) => {
    return http.get("/cygx/yanxuan_special/approval_log_list", params);
  },
  // 作者列表
  getYanxuanSpecialAuthor: (params) => {
    return http.get("/cygx/yanxuan_special/author/list", params);
  },
  // 收藏详情
  getYanxuanSpecialCollect: (params) => {
    return http.get("/cygx/yanxuan_special/special_collect/list", params);
  },
  // 作者粉丝列表
  getYanxuanSpecialFans: (params) => {
    return http.get("/cygx/yanxuan_special/special_author_fans_list", params);
  },
  // 作者管理栏按钮是否展示接口
  getYanxuanShowButton: (params) => {
    return http.get("/cygx/yanxuan_special/show_button", params);
  },
  
};

export default YanXuanApi;
